libavif (1.3.0-1ubuntu4) resolute; urgency=medium

  * d/control, d/rules: enable build-time test suite
  * d/tests: add autopkgtest for AVIF encode/decode round-trip

 -- Nadzeya Hutsko <nadzeya.hutsko@canonical.com>  Tue, 17 Mar 2026 19:54:53 +0100

libavif (1.3.0-1ubuntu3) resolute; urgency=medium

  * Disable rav1e and svt-av1 codec support to avoid universe dependencies
    - debian/rules: Unconditionally disable AVIF_CODEC_RAV1E and
      AVIF_CODEC_SVT
    - debian/control: Remove librav1e-dev and libsvtav1enc-dev from
      Build-Depends and libavif-dev Depends

 -- Nadzeya Hutsko <nadzeya.hutsko@canonical.com>  Mon, 12 Jan 2026 09:46:50 +0100

libavif (1.3.0-1ubuntu2) resolute; urgency=medium

  * No-change rebuild for libgav1-2.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 08 Jan 2026 21:28:42 +0000

libavif (1.3.0-1ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable pandoc and rav1e on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Aug 2025 20:08:37 +0200

libavif (1.3.0-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/changelog: Merge NMU changelog history.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Aug 2025 12:38:49 -0400

libavif (1.3.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 16 May 2025 10:37:47 -0400

libavif (1.2.1-1.2ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable pandoc and rav1e on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 May 2025 13:57:10 +0200

libavif (1.2.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix upstream bug reference for patch for CVE-2025-48175
  * Add another integer overflow check to makeRoom

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 25 May 2025 07:27:30 +0200

libavif (1.2.1-1.1ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable pandoc and rav1e on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 May 2025 07:54:30 +0200

libavif (1.2.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add integer overflow checks to makeRoom (CVE-2025-48174) (Closes:
    #1105885)
  * Add integer overflow check to makeRoom (CVE-2025-48174) (Closes: #1105885)
  * Fix format errors (CVE-2025-48174) (Closes: #1105885)
  * Declare *RowBytes as size_t in avifImageRGBToYUV() (CVE-2025-48175)
    (Closes: #1105883)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 17 May 2025 16:03:36 +0200

libavif (1.2.1-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable pandoc and rav1e on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 21 Mar 2025 13:49:37 +0100

libavif (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/*.1: Update prebuilt man pages.

 -- Boyuan Yang <byang@debian.org>  Thu, 20 Mar 2025 14:03:55 -0400

libavif (1.2.0-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable pandoc and rav1e on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 05 Mar 2025 08:31:42 +0100

libavif (1.2.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Mon, 03 Mar 2025 17:04:30 -0500

libavif (1.2.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/watch: Introduce libargparse copy as component.
  * debian/clean, debian/rules: Correctly place libargparse copy.
  * debian/copyright: Updated.

 -- Boyuan Yang <byang@debian.org>  Mon, 03 Mar 2025 11:58:44 -0500

libavif (1.1.1-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable pandoc and rav1e on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Oct 2024 17:15:47 +0100

libavif (1.1.1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Thu, 26 Sep 2024 17:03:37 -0400

libavif (1.1.1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 26 Sep 2024 14:41:25 -0400

libavif (1.1.0-3ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Disable pandoc and rav1e on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 19 Jul 2024 19:39:16 +0200

libavif (1.1.0-3) unstable; urgency=high

  * debian/control: Manually record dependency to various dev packages
    for libavif-dev: libaom-dev, libdav1d-dev, librav1e-dev (some archs),
    libsvtav1enc-dev, libyuv-dev. (Closes: #1076509)

 -- Boyuan Yang <byang@debian.org>  Fri, 19 Jul 2024 12:25:37 -0400

libavif (1.1.0-2ubuntu2) oracular; urgency=medium

  * Add runtime dependencies to libdav1d-dev librav1e-dev libaom-dev libsvtav1enc-dev
    to help xpra building correctly (Closes: #1076509)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Jul 2024 19:00:28 +0200

libavif (1.1.0-2ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable pandoc and rav1e on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 16 Jul 2024 10:35:41 +0200

libavif (1.1.0-2) unstable; urgency=medium

  * Enable SVT-AV1 support unconditionally now that SVT-AV1 is available
    on all official architectures. Thanks to Adrian Bunk.

 -- Boyuan Yang <byang@debian.org>  Mon, 15 Jul 2024 10:32:23 -0400

libavif (1.1.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Mon, 15 Jul 2024 08:20:39 -0400

libavif (1.1.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/rules: Force using system libyuv instead of the embedded copy.
  * debian/rules: Update buildflags to fix the deprecation warnings.
  * debian/rules: Correctly enable rav1e on riscv64.
  * debian/copyright: Updated.

 -- Boyuan Yang <byang@debian.org>  Sat, 13 Jul 2024 13:43:12 -0400

libavif (1.0.4-3ubuntu2) oracular; urgency=medium

  * Rebuild against new libsvtav1enc2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Jul 2024 16:41:04 +0200

libavif (1.0.4-3ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Disable pandoc and rav1e on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 16 May 2024 08:05:43 +0200

libavif (1.0.4-3) unstable; urgency=medium

  * Team upload
  * debian/: Restrict use of libgav1 to little-endian architectures (Closes:
    #1070645)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 09 May 2024 18:57:01 +0200

libavif (1.0.4-2ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Disable pandoc and rav1e on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 May 2024 09:30:51 +0200

libavif (1.0.4-2) unstable; urgency=medium

  * Team upload
  * debian/control: Use pkgconf
  * debian/: Temporarily disable libgav1 support on s390x
    libgav1 currently FTBFS on s390x.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Apr 2024 15:49:47 +0200

libavif (1.0.4-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:44:03 +0000

libavif (1.0.4-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:02:37 +0000

libavif (1.0.4-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable pandoc and rav1e on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 16 Feb 2024 14:04:18 +0100

libavif (1.0.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Correctly enable libgav1 support on loong64.

 -- Boyuan Yang <byang@debian.org>  Thu, 15 Feb 2024 23:02:10 -0500

libavif (1.0.3-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable pandoc and rav1e on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 13 Dec 2023 08:31:59 +0100

libavif (1.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Dec 2023 16:05:28 -0500

libavif (1.0.2-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable pandoc and rav1e on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Nov 2023 09:30:32 +0100

libavif (1.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 18 Nov 2023 16:03:40 -0500

libavif (1.0.1-2ubuntu4) noble; urgency=medium

  * Rebuild against new libdav1d7.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Nov 2023 09:20:43 +0100

libavif (1.0.1-2ubuntu3) noble; urgency=medium

  * Rebuild against new libsvtav1enc1d1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2023 08:23:07 +0200

libavif (1.0.1-2ubuntu2) noble; urgency=medium

  * Also disable pandoc on i386
  * Also disable rav1e on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2023 07:59:36 +0200

libavif (1.0.1-2) unstable; urgency=medium

  * debian/control,debian/rules: Adjust build-dep architecture requirement:
    + Add loong64 for libgav1-dev.
    + Add riscv64 loong64 for librav1e-dev.
    + Add loong64 for librav1e-dev.
    + Disable hppa hurd-i386 loong64 sparc64 for pandoc.
  * debian/rules: Use prebuilt man pages when pandoc is disabled.
    If pandoc is disabled in debian/control, use prebuilt copied
    located at debian/avifenc.1 and debian/avifdec.1.
    (Closes: #1053179)

 -- Boyuan Yang <byang@debian.org>  Wed, 11 Oct 2023 19:30:04 -0400

libavif (1.0.1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sat, 07 Oct 2023 14:38:13 -0400

libavif (1.0.1-1~exp2) experimental; urgency=medium

  * debian/control: Add new build-dependency libsharpyuv-dev 
    for sharpyuv support.

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Sep 2023 14:54:19 -0400

libavif (1.0.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Package rename due to SONAME bump: libavif15 -> libavif16.
  * debian/copyright: Update information.

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Sep 2023 12:48:32 -0400

libavif (0.11.1-3) unstable; urgency=medium

  * debian/rules: Do not install man pages if they are not built.

 -- Boyuan Yang <byang@debian.org>  Thu, 13 Jul 2023 09:54:12 -0400

libavif (0.11.1-2) unstable; urgency=medium

  * d/control,d/rules: Disable pandoc support on architectures
    with broken pandoc: kfreebsd-*, m68k, powerpc, sh4, x32.
  * debian/control: Bump Standards-Version to 4.6.2.
  * debian/control: Migrate from old build-dep:
    libgdk-pixbuf2.0-dev => libgdk-pixbuf-2.0-dev. (Closes: #1037383)

 -- Boyuan Yang <byang@debian.org>  Thu, 13 Jul 2023 08:37:58 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libavif16`.
